Bug 32348 - Library public is missing from columns settings
Summary: Library public is missing from columns settings
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on: 27360
Blocks:
  Show dependency treegraph
 
Reported: 2022-11-25 07:57 UTC by Fridolin Somers
Modified: 2023-01-26 10:58 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.02,22.05.09, 21.11.16


Attachments
Bug 32348: Add library public in columns settings (963 bytes, patch)
2022-11-25 07:59 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 32348: Add library public in columns settings (1021 bytes, patch)
2022-11-28 18:03 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 32348: Add library public in columns settings (1.05 KB, patch)
2022-12-16 18:53 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2022-11-25 07:57:13 UTC
Bug 27360 added public info on libraries table.
This should be added to columns settings.
Currently the column "STMP server" can not be managed in settings.
Comment 1 Fridolin Somers 2022-11-25 07:59:48 UTC
Created attachment 144225 [details] [review]
Bug 32348: Add library public in columns settings

Bug 27360 added public info on libraries table.
This should be added to columns settings.
Currently the column "STMP server" can not be managed in settings.

Test plan :
Play with columns settings of table Administration > Libraries
Comment 2 Lucas Gass 2022-11-28 18:03:35 UTC
Created attachment 144304 [details] [review]
Bug 32348: Add library public in columns settings

Bug 27360 added public info on libraries table.
This should be added to columns settings.
Currently the column "STMP server" can not be managed in settings.

Test plan :
Play with columns settings of table Administration > Libraries

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Kyle M Hall 2022-12-16 18:53:04 UTC
Created attachment 144701 [details] [review]
Bug 32348: Add library public in columns settings

Bug 27360 added public info on libraries table.
This should be added to columns settings.
Currently the column "STMP server" can not be managed in settings.

Test plan :
Play with columns settings of table Administration > Libraries

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2022-12-23 17:03:59 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 5 Jacob O'Mara 2023-01-13 11:55:41 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.
Comment 6 Lucas Gass 2023-01-19 23:51:52 UTC
Backported to 22.05.x for upcoming 22.05.09
Comment 7 Arthur Suzuki 2023-01-26 10:58:38 UTC
applied to 21.11.x for 21.11.16